org.red5.server.api

## Interface ICoreObject

All Superinterfaces:
  IEventDispatcher, IEventHandler, IEventListener

All Known Subinterfaces:
  IBasicScope, IBroadcastScope, IConnection, IGlobalScope, IRemotingConnection, IScope, IServiceCapableConnection, ISharedObject, IStreamCapableConnection

All Known Implementing Classes:
  BaseConnection, BaseRTMPTConnection, BasicScope, BroadcastScope, GlobalScope, RemotingConnection, RoomScope, RTMPConnection, RTMPMinaConnection, RTMPTConnection, Scope, SharedObjectScope, WebScope

    public interface ICoreObject
    extends IEventDispatcher, IEventHandler, IEventListener

Base marker interface for all core objects.

Author:
  The Red5 Project (red5@osflash.org), Luke Hubbard (luke@codegent.com)

### Method Summary

### Methods inherited from interface org.red5.server.api.event.IEventDispatcher

`dispatchEvent`

### Methods inherited from interface org.red5.server.api.event.IEventHandler

`handleEvent`

### Methods inherited from interface org.red5.server.api.event.IEventListener

`notifyEvent`